#pragma once
#include "camatchncc_h.h"
class CAMatchNCC_External :
	public CAMatchNCC_H
{
public:
	CAMatchNCC_External(const QString& name,int32_t id);
	virtual ~CAMatchNCC_External(void);

	virtual void showresult_string(CImageContainer* pContainer);


	virtual void showresult_shape(CImageContainer* pContainer);

	int32_t exe_morphology(CMImage* pmimage);

	virtual int32_t exe(CMImage* pmimage);

};

